<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_cuboid_obstacle.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">CuboidObstacle Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a3530598ee9d1ecc78d168ea978f8b79c">checkCollision</a>(const std::vector&lt; Vector3D &gt; &amp;droneCover) const override</td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid_obstacle.html#ac30b116e7a4684a2cf5403708b63359a">CuboidObstacle</a>()</td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a58601592d1866745e78d37d7b610c573">draw</a>(const std::string &amp;cuboidObstacleFilename) const override</td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid_obstacle.html#ace6d0f8db09fd495b282bb0524bec0b8">getCollisionInformation</a>() const override</td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a46b2b296f05dbbfbaf99810a198a2ccb">kObstacleCuboidFile</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a4e8d394179d5727763e397882c1e9238">kObstacleCuboidModel</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a>(double degree)</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a77f7bb2a38be970fb0d2708b1a62764c">obstacleCuboid_</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a170f86b9a730414960a37e23a9240286">obstacleCuboidTranslation_</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a>()</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a>(const Vector3D &amp;change)</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a>(double change)</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a66df1ef1fbbe69a5752faa8db92ce09a">xMax</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a97f9c563dae030413a694fe42f1ca66b">xMin</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid_obstacle.html#ad48b8ea4a34fba849ed67d3d36e178eb">yMax</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a60075e46b6cab2c07b3016d7910e73b5">yMin</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a651f17ffa48e4cae5d7f3f180cc5600a">zMax</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid_obstacle.html#ab8205b9d1145d4b8625433060fc5bc7f">zMin</a></td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid_obstacle.html#a155db2a69880ad9e1385920bc36e41ee">~CuboidObstacle</a>()</td><td class="entry"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a>()</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
